## python-rx 3.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = RxPY
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## python-rx 3.1.0

=== debian/changelog ===
python-rx (3.1.0-2) unstable; urgency=medium

  * Source-only upload as is.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Jun 2020 16:35:07 +0200

python-rx (3.1.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #958846).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 25 Apr 2020 22:57:51 +0200

python-rx (1.6.1-0kali1) kali-dev; urgency=medium

  * Initial release

 -- Sophie Brun <sophie@freexian.com>  Tue, 24 Apr 2018 10:10:17 +0200

=== debian/control ===
Source: python-rx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Martin Wimpress <martin.wimpress@ubuntu.com>,
 Mike Gabriel <sunweaver@debian.org>,
 Sophie Brun <sophie@freexian.com>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-nose,
 python3-pytest,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://reactivex.io/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-rx.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rx
Testsuite: autopkgtest-pkg-python

Package: python3-rx
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: Reactive Extensions for Python (Python 3)
 This package contains a set of libraries for composing asynchronous and
 event-based programs using observable sequences and LINQ-style query operators
 in Python. Using Rx, developers represent asynchronous data streams with
 Observables, query asynchronous data streams using operators, and parameterize
 concurrency in data/event streams using Schedulers.
 .
 This package installs the library for Python 3.

## python-rx 3.1.1

=== debian/changelog ===
python-rx (3.1.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * debian/control:
    + Update Maintainer field with new Debian Python Team contact address
    + Update Vcs-* fields with new Debian Python Team Salsa layout

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Nov 2020 16:18:21 +0100

python-rx (3.1.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump DH compat level to version 13.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Nov 2020 16:01:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: python-rx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
  Mike Gabriel <sunweaver@debian.org>,
  Sophie Brun <sophie@freexian.com>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
@@ -16,8 +16,8 @@
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: http://reactivex.io/
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-rx.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-rx
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-rx.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rx
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-rx

## python-rx 3.2.0

=== requirements.txt ===
pytest
coveralls
flake8

=== docs/requirements.txt ===
sphinx>=2.0
sphinx-autodoc-typehints>=1.10.3
guzzle_sphinx_theme>=0.7.11
sphinxcontrib_dooble>=1.0

=== debian/changelog ===
python-rx (3.2.0-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/patches:
    + Add 1001_fix-asyncio-sleep-in-py3_10.patch. Fix asyncio.sleep() calls
      for Python 3.9 and Python 3.10.
  * debian/control:
    + Bump Standards-Version: to 4.6.0. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 14 Dec 2021 13:55:15 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  python3-setuptools,
  python3-nose,
  python3-pytest,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://reactivex.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rx.git

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=rx

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/*/usr/lib/*/dist-packages/rx.log

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-rx-$1.tar.gz%" \
   https://github.com/ReactiveX/RxPY/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-rx 4.0.4

=== docs/requirements.txt ===
sphinx>=2.0
sphinx-autodoc-typehints>=1.10.3
guzzle_sphinx_theme>=0.7.11
sphinxcontrib_dooble>=1.0
tomli>=2.0
dunamai>=1.9.0

=== debian/changelog ===
python-rx (4.0.4-3) unstable; urgency=medium

  * Team upload.
  * d/rules: mimic upstream's python-publish.yml script to set the
    version number, fixing the wrong 0.0.0 version
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: upgrade to using Testsuite: autopkgtest-pkg-pybuild

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 15:20:25 +0200

python-rx (4.0.4-2) unstable; urgency=medium

  * Upload to unstable as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 26 Jun 2023 11:39:58 +0200

python-rx (4.0.4-1) experimental; urgency=medium

  * Upload to experimental.

  * New upstream release.
  * debian/copyright:
    + Update copyright attributions for debian/.
  * debian/control:
    + Add B-D: python3-typing-extensions.
  * debian/examples:
    + Add file. Exclude autocomplete and konamicode as they ship URLs for
      obtaining an external bootstrap.js.
  * debian/source/lintian-overrides:
    + Add file. Override source-is-missing issue for
      examples/konamicode/index.html.
  * debian/links:
    + Add compat symlink for 'import rx'.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 27 Feb 2023 12:22:07 +0100

python-rx (3.2.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.
  * Remove unnecessary get-orig-source-target.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Oct 2022 13:45:15 +0100

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,19 @@
  Sophie Brun <sophie@freexian.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
- python3-setuptools,
- python3-nose,
+ python3-poetry-core,
+ python3-poetry,
  python3-pytest,
-Standards-Version: 4.6.0
+ python3-typing-extensions,
+ pybuild-plugin-pyproject,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Homepage: http://reactivex.io/
+Homepage: https://reactivex.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rx
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-rx
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
export PYBUILD_NAME=rx

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_auto_configure:
	cp pyproject.toml pyproject.toml.orig
	cp reactivex/_version.py reactivex/_version.py.orig
	poetry version $(DEB_VERSION_UPSTREAM)
	echo "__version__ = \"$(DEB_VERSION_UPSTREAM)\"" > reactivex/_version.py

execute_after_dh_install:
	rm -f $(CURDIR)/debian/*/usr/lib/*/dist-packages/rx.log

execute_after_dh_auto_clean:
	cp pyproject.toml.orig pyproject.toml || true
	cp reactivex/_version.py.orig reactivex/_version.py || true

## python-rx 4.1.0

=== debian/changelog ===
python-rx (4.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Avoid use of asyncio.get_event_loop (3.14) (closes: #1123306).

 -- Colin Watson <cjwatson@debian.org>  Wed, 31 Dec 2025 20:42:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: python-rx
 Section: python
-Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Martin Wimpress <martin.wimpress@ubuntu.com>,
@@ -15,8 +14,7 @@
  python3-pytest,
  python3-typing-extensions,
  pybuild-plugin-pyproject,
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Homepage: https://reactivex.io/
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-rx.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-rx
